i.landsat.rgb(1)

NAME
i.landsat.rgb - Auto-balancing of colors for LANDSAT images

KEYWORDS
raster, imagery, colors

SYNOPSIS
i.landsat.rgb
i.landsat.rgb help
i.landsat.rgb [-fpr] red=string green=string blue=string [strength=integer]

  Flags:

-f  Extend colors to full range of data on each channel

-p  Preserve relative colors, adjust brightness only

-r  Reset to standard color range

  Parameters:

red=string
    LANDSAT red channel

green=string
    LANDSAT green channel

blue=string
    LANDSAT blue channel

strength=integer
    Cropping intensity (upper brightness level) Options: 0-100 Default: 98

DESCRIPTION
i.landsat.rgb auto-balances and enhances the color channels of a LANDSAT RGB image to provide a more natural color mixture. Only the color table of each image band is modified, the base data remains untouched.

The module works by calculating a histogram for each color channel and removing an adjustable amount of outliers from either end before recalibrating the color scale with r.colors.

It will work with any 8-bit RGB imagery set and the script is easily modified to work with other datasets of greater band-depth.

NOTES
Depending on the image, it may or may not be advantageous to use the -p flag to preserve the relative color scaling. You will have to experiment with the different options to find a setting that works best for your particular imagery.

The strength option should generally be set in the 90-99 range. The lower the number, the more saturated the image becomes. It represents the percentage cut-off for the top end of the color histogram curve. The lower end is fixed at 2% of the area under the curve.

For quicker execution of this module on large images you can achieve largely similar results by switching to a coarser resolution before the running of the module (using g.region) and then back to the original resolution afterwards.

EXAMPLE
i.landsat.rgb red=tm.3 green=tm.2 blue=tm.1

TODO
The strength option requires further refinement.

Update to use r.univar instead of r.univar.sh once r.univar receives extended statistics support.

SEE ALSO
d.rgb, g.region, i.oif, r.colors, r.composite, r.univar, r.univar.sh

AUTHORS
Markus Neteler
M. Hamish Bowman, Dept. Marine Science, Otago University, New Zealand

Last changed: $Date: 2007/03/08 13:51:30 $

Full index